Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.apps.cz.cio
Class DeltaRegion

    java.lang.Object
      |
      +--oracle.apps.cz.cio.DeltaRegion

public class DeltaRegion
extends java.lang.Object

Represents a Region that can collect specific type of changes for interesting nodes. This should typically correspond to a UI region such as a frame or a screen.

Field Summary
`static java.lang.String` | `RCS_ID`
`static boolean` | `RCS_ID_RECORDED`

Method Summary
`void` | `addValidator(oracle.apps.cz.cio.DeltaValidator dv)` Add a new DeltaValidator to this region
`void` | `addWatchedNode(oracle.apps.cz.cio.IRuntimeNode node)` Add a single node to the watched nodes list
`void` | `addWatchedNodes(com.sun.java.util.collections.Collection watchedNodes)` Add watched nodes to the existing list of watched nodes for this region
`void` | `clearWatchedNodes()` Clears the entire watched nodes list from this region.
`void` | `deleteValidator(oracle.apps.cz.cio.DeltaValidator dv)` Delete an existing DeltaValidator from this region
`void` | `deleteWatchedNode(oracle.apps.cz.cio.IRuntimeNode node)` Delete a single node from the watched nodes list
`void` | `deleteWatchedNodes(com.sun.java.util.collections.Collection watchedNodes)` Delete watched nodes from the list of watched nodes for this region
`oracle.apps.cz.cio.DeltaManager` | `getDeltaManager()` Returns the delta manager that this region is associated to
`java.lang.String` | `getId()` Returns the ID of this delta region
`com.sun.java.util.collections.Map` | `getUpdateMap()` Gets a Map of all changes to this region since the last update
`com.sun.java.util.collections.Collection` | `getValidators()` Returns the delta validators associated with this region
`com.sun.java.util.collections.Collection` | `getWatchedNodes()` Returns the collection of runtime nodes that this region is watching for changes
`boolean` | `hasValidator(oracle.apps.cz.cio.DeltaValidator dv)` To check whether the delta region has the specified delta validator registered or not

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

### RCS_ID_RECORDED

    public static final boolean RCS_ID_RECORDED

Method Detail

### getId

    public java.lang.String getId()

  Returns the ID of this delta region

### getWatchedNodes

    public com.sun.java.util.collections.Collection getWatchedNodes()

  Returns the collection of runtime nodes that this region is watching for changes

### getDeltaManager

    public oracle.apps.cz.cio.DeltaManager getDeltaManager()

  Returns the delta manager that this region is associated to

### getValidators

    public com.sun.java.util.collections.Collection getValidators()

  Returns the delta validators associated with this region

### hasValidator

    public boolean hasValidator(oracle.apps.cz.cio.DeltaValidator dv)

  To check whether the delta region has the specified delta validator registered or not

### addWatchedNodes

    public void addWatchedNodes(com.sun.java.util.collections.Collection watchedNodes)

  Add watched nodes to the existing list of watched nodes for this region

### deleteWatchedNodes

    public void deleteWatchedNodes(com.sun.java.util.collections.Collection watchedNodes)

  Delete watched nodes from the list of watched nodes for this region

### addWatchedNode

    public void addWatchedNode(oracle.apps.cz.cio.IRuntimeNode node)

  Add a single node to the watched nodes list

### deleteWatchedNode

    public void deleteWatchedNode(oracle.apps.cz.cio.IRuntimeNode node)

  Delete a single node from the watched nodes list

### clearWatchedNodes

    public void clearWatchedNodes()

  Clears the entire watched nodes list from this region. This is useful when the region is not needed anymore but may be needed later, as in a screen flip. As opposed to unregistring, this causes the region to hang around without actually doing anything.

### addValidator

    public void addValidator(oracle.apps.cz.cio.DeltaValidator dv)

  Add a new DeltaValidator to this region

### deleteValidator

    public void deleteValidator(oracle.apps.cz.cio.DeltaValidator dv)

  Delete an existing DeltaValidator from this region

### getUpdateMap

    public com.sun.java.util.collections.Map getUpdateMap()

  Gets a Map of all changes to this region since the last update

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2004, Oracle. All rights reserved. Oracle is a registered trademark of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.